// GeminiInternet.h: interface for the CInternet class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GEMINIINTERNET_H__FBDB1CE6_7E28_4247_B86E_571C6A6B0AAC__INCLUDED_)
#define AFX_GEMINIINTERNET_H__FBDB1CE6_7E28_4247_B86E_571C6A6B0AAC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <string>
#include <vector>

using namespace std;

class CGeminiInternet  
{
public:
	void SetOldName(wstring sOldName);
	bool AssociateFileWithIssues(wstring sFileName,wstring sPath,wstring sRepository,wstring sComment);
	wstring m_sUsername;
	wstring m_sAPIKey;
	bool AssociateFile(wstring sFileName, wstring sPath, wstring sRepository,wstring sIssueID);
	CGeminiInternet();
	virtual ~CGeminiInternet();

protected:
	wstring m_sOldName;
	bool IsNumeric(const wstring &sCheck);
	bool SplitCommentToIssueIDs(const wstring &sComment,vector<wstring> &issues);
	bool m_bInit;
	wstring m_sGeminiURL;
	bool Encode(const wstring &strIn,wstring &strOut);
};

#endif // !defined(AFX_GEMINIINTERNET_H__FBDB1CE6_7E28_4247_B86E_571C6A6B0AAC__INCLUDED_)
