// GeminiRegistry.h: interface for the CGeminiRegistry class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GEMINIREGISTRY_H__3D52CB23_EA73_448D_9DE9_646E0D916C97__INCLUDED_)
#define AFX_GEMINIREGISTRY_H__3D52CB23_EA73_448D_9DE9_646E0D916C97__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <string>

using namespace std;

class CGeminiRegistry  
{
public:
	bool GetURL(wstring &sURL);
	bool GetUsername(wstring &sUsername);
	bool GetAPIKey(wstring &sAPIKey);
	CGeminiRegistry();
	virtual ~CGeminiRegistry();

protected:
	wstring m_sGeminiPageURL;
	wstring m_sURLKeyName;
	wstring m_sUsernameKeyName;
	wstring m_sAPIKeyKeyName;
	HKEY m_hGeminiKey;
	HKEY m_hRootKey;
};

#endif // !defined(AFX_GEMINIREGISTRY_H__3D52CB23_EA73_448D_9DE9_646E0D916C97__INCLUDED_)
